import * as $dara from '@darabonba/typescript';
import { DescribeAutoDelConfigResponseBody } from "./DescribeAutoDelConfigResponseBody";
export declare class DescribeAutoDelConfigResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeAutoDelConfigResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
